import { Ref } from 'vue';
export declare const ariaManager: {
    cleanInputAttributes(inputElement: HTMLElement): void;
    updateInputState(inputElement: HTMLElement, isOpenValue: boolean, menuId: string, activeDescendant?: string, options?: {
        ariaAutocomplete?: "list" | "both" | "inline" | "none";
        ownsId?: string;
        isBusy?: boolean;
        popupRendered?: boolean;
    }): void;
    updateValidationAttributes(inputElement: HTMLElement, isRequiredValue: boolean, hasErrorValue: boolean): void;
    cleanParentAttributes(parentElement: HTMLElement): void;
    cleanAlertAttributes(parentElement: HTMLElement): void;
    setupAriaAttributesForAutocomplete(textFieldRef: Ref<any>, isOpen: Ref<boolean>, menuId: string, activeDescendant: Ref<string>, loading: boolean, inputLabel?: string, required?: boolean, hasError?: boolean): void;
};
